Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester
Class ParserFeatureSetterFactory

    java.lang.Object
      org.apache.commons.digester.ParserFeatureSetterFactory

Deprecated. Create an XMLParser instance yourself, configure validation appropriately, and pass it as a parameter to the `Digester` constructor, or use `Digester.setXMLSchema(Schema)` for validation.

    public class ParserFeatureSetterFactory

extends Object

Creates a `SAXParser` based on the underlying parser. Allows logical properties depending on logical parser versions to be set.

Since:
  1.6

Constructor Summary
`ParserFeatureSetterFactory()` Deprecated.

Method Summary
`static SAXParser` | `newSAXParser(Properties properties)` Deprecated. Create a new `SAXParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParserFeatureSetterFactory

    public ParserFeatureSetterFactory()

  Deprecated.

Method Detail

### newSAXParser

    public static SAXParser newSAXParser(Properties properties)
                                  throws ParserConfigurationException,
                                         SAXException,
                                         SAXNotRecognizedException,
                                         SAXNotSupportedException

  Deprecated.
  Create a new `SAXParser`

  Parameters:
    `properties` - (logical) properties to be set on parser
  Returns:
    a `SAXParser` configured based on the underlying parser implementation.
  Throws:
    `ParserConfigurationException`
    `SAXException`
    `SAXNotRecognizedException`
    `SAXNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.